export type EgdeNodeProps = {
  // Vue Router 2.x/3.x
  autoRegister?: {
    router: any
    parentRouterName?: string
    routerMeta?: Record<string, any>
  }
  name: string
  activeRule: string
  entry: string
  props?: {
    token?: string
    apiHost?: string
    socketHost?: string
    design?: {
      primaryColor?: string
      appName?: string
      appIcon?: string
    }
    node?: {
      onlineIcon?: string
      offlineIcon?: string
      onlineColor?: string
      offlineColor?: string
      background?: string
      color?: string
      beforeDelete?: (nodeId: string) => Promise<boolean>
    }
  }
}

export default function registerEdgeNodeMicroApp(props: EgdeNodeProps): void
